> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Définir le transfert comme actif

> Suspend ou reprend une règle de transfert client.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.fr.json PATCH /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active:
    patch:
      tags:
        - public-accounts
        - public-forwarding
      summary: Définir le transfert comme actif
      description: Suspend ou reprend une règle de transfert client.
      operationId: >-
        set_public_forwarding_active_v1_public_accounts__account_id__forwarding__forwarding_id__active_patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: forwarding_id
          required: true
          schema:
            format: uuid
            title: Forwarding Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ForwardingSetActiveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ForwardingSetActiveRequest:
      description: Requête pour suspendre ou reprendre le transfert.
      properties:
        active:
          description: Si le transfert doit être actif
          title: actifs
          type: boolean
      required:
        - active
      title: ForwardingSetActiveRequest
      type: object
    ForwardingDTO:
      properties:
        active:
          description: Si le transfert est actif
          title: actifs
          type: boolean
        created_at:
          description: Horodatage de création de la règle de transfert
          title: Créé le
          type: string
        id:
          description: Règle de transfert UUID
          format: uuid
          title: ID
          type: string
        scope_id:
          description: Ressource UUID pour la portée de transfert
          format: uuid
          title: Id du périmètre
          type: string
        scope_type:
          description: Type de portée de ressource pour la règle de transfert
          enum:
            - account
            - workspace
            - domain
          title: Type de périmètre
          type: string
        target_email:
          description: Adresse e-mail de destination du transfert
          title: E-mail cible
          type: string
        updated_at:
          description: Horodatage de la dernière mise à jour de la règle de transfert
          title: Mis à jour le
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Horodatage d’expiration de la vérification
          title: vérification expire à
        verification_required:
          description: Si la vérification du destinataire est requise
          title: vérification requise
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Horodatage de l'envoi de l'e-mail de vérification
          title: vérification envoyée à
        verification_state:
          description: État de vérification du destinataire
          enum:
            - internal
            - pending
            - verified
            - expired
          title: vérification état
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Horodatage de fin de vérification
          title: vérification vérifié à
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Détail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Emplacement
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Type d erreur
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````